
QGIS Application - Bug report #8198

"export/add geometry columns" broken 

2013-06-29 09:48 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 17016

Description

in the log shows

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/fTools/tools/doGeometry.py", line 333, in run

    success = self.export_geometry_info()

  File "/usr/share/qgis/python/plugins/fTools/tools/doGeometry.py", line 549, in export_geometry_info

    ( fields, index1, index2 ) = self.checkMeasurementFields( self.vlayer, not self.writeShape )

  File "/usr/share/qgis/python/plugins/fTools/tools/doGeometry.py", line 1032, in checkMeasurementFields

    (index1, fieldList) = self.doubleFieldIndex( "XCOORD", self.tr( "Point x ordinate" ), fieldList )

  File "/usr/share/qgis/python/plugins/fTools/tools/doGeometry.py", line 1011, in doubleFieldIndex

    if name == f.name().toUpper():

AttributeError: 'unicode' object has no attribute 'toUpper'

Python version:

2.7.3 (default, Apr 10 2013, 06:31:07) 

[GCC 4.6.3]

QGIS version:

1.9.0-Master Master, exported

Python path: ['/usr/share/qgis/python/plugins/sextante', '/usr/share/qgis/python', '/home/ubc/.qgis2/python',

'/home/ubc/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2',

'/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages',

'/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PIL', '/usr/lib/python2.7/dist-packages/gst-0.10',

'/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',

'/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode', '/home/ubc/.qgis2/python/plugins/mmqgis/forms',

'/usr/share/qgis/python/plugins/fTools/tools']

Associated revisions

Revision b6973718 - 2013-06-29 07:28 PM - Jürgen Fischer

fix #8198

History

#1 - 2013-06-29 10:28 AM - Jürgen Fischer

- Status changed from Open to Closed
Fixed in changeset commit:"b697371834cf5958ada8d17d06af7aef6fb51b06".

#2 - 2013-06-29 10:29 AM - Jürgen Fischer

- Resolution set to fixed

- Subject changed from "export/add gemotery columns" broken  to "export/add geometry columns" broken 

#3 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
